use super::{super::Param, Sequence};
use crate::point::Point;
use opencv::Result;

#[derive(Debug, Clone, Copy)]
pub struct WaitSpace {}

impl WaitSpace {
    pub fn new() -> Self {
        Self {}
    }
}

impl Sequence for WaitSpace {
    fn draw(&self, mem: &Param) -> Option<Vec<Point>> {
        if mem.key == 32 || !mem.capture_mode {
            return None;
        }
        Some(vec![])
    }
    fn compute_sequence(&mut self, _mem: &mut Param) -> Result<(), Box<dyn std::error::Error>> {
        Ok(())
    }
    fn is_capture(&self) -> bool {
        false
    }
}
